---
date: 2014-11-15T00:00:00-05:00
title: "Brasil em Conserva"
tags: [pt_br, portugues, thoughts, politics]
---

As eleições brasileiras já acabaram, e talvez eu devesse me sentir mais
à vontade pra falar do assunto do que realmente me sinto. Não sei, mas
tenho a impressão de que, dessa vez, as coisas aconteceram de um modo um
pouco diferente do que o de costume. Aliás, não acho que tenha sido
“coisa de momento”, e tampouco acho que seja uma exclusividade
brasileira: as pessoas estão ficando mais conservadoras, mais
“endireitadas”. E eu vou tentar explicar, talvez pretensiosamente, por
que eu não acho que isso seja bom.

Nunca votei em candidato algum, em nenhuma eleição até hoje. Sempre me
vi descrente das propostas apresentadas, ainda mais quando percebia que
aqueles que davam rostos às propostas eram basicamente os mesmos. Por
isso, nas primeiras eleições em que pude “exercer a cidadania em sua
plenitude” (uma mentira deslavada contada pela imprensa, que talvez
mereça outro post), lá no longínquo ano de 2002, decidi por anular meus
votos. Depois disso, mudei-me de cidade, e não transferi meu título de
eleitor porque, no final das contas, iria acabar votando nulo novamente.
No entanto, e de uma maneira aparentemente contraditória, sempre
interessei-me por política.

Pode mesmo parecer contradição, mas eu nunca entendi como existiam
pessoas (e são muitas!) que não queriam saber de política, e do que
estava acontecendo no próprio país. Obviamente, essas mesmas pessoas em
geral são as primeiras que reclamam do governo, ou que criticam um
político, mesmo sem saber exatamente o porquê de fazerem isso. E quando
vamos falar sobre política com elas, aquela velha máxima “Política não
se discute!” vem à tona, e você de repente perde qualquer motivação para
continuar conversando. Mas mesmo com toda essa minha “descrença-crente”
com a política, nessas últimas eleições eu tive uma enorme vontade de
votar.

Meu voto não iria para o Aécio. E no primeiro turno, provavelmente eu
não votasse em nenhum dos candidatos, como sempre fiz. Mas no segundo
turno, senti que eu não podia deixar de ajudar a Dilma a ser reeleita,
mesmo que isso não necessariamente signifique que eu a apóie e concorde
com tudo o que seu governo tem feito. Mas, usando uma outra velha
máxima, “dos males, o menor”.

Considero-me uma pessoa com fortes tendências para as questões sociais.
Não à toa defendo o Software Livre com empenho, porque acredito que se
olharmos para todos, avançamos mais. Daí deriva minha antipatia pela
maioria das causas individualistas, por acreditar que, apesar de ser
totalmente plausível admitir que o ser humano é egoísta, não acho que
devamos nos acomodar com essa constatação. E isso vai de encontro com o
que o governo da Dilma (e o antigo governo do Lula) tem feito para o
Brasil: avançar nas causas sociais. O crescimento que o país
experimentou nos últimos anos foi, sim, muito perceptível para mim. E,
quando tive a oportunidade de visitar o Nordeste brasileiro há alguns
anos, pude ver que a situação por lá, apesar de ainda não ser a ideal,
também melhorou bastante. Ou seja, o bolo finalmente está sendo dividido
mais igualmente para todos, ainda que falte muito para que a divisão
possa ser considerada boa.

Mas não foi só na área social que eu vi mudanças. Apesar de já estar
nascido na época da inflação galopante da década de 1980, não tenho uma
noção muito grande do que era viver naquela época. Eu era criança, e
crianças não se preocupam com o preço das coisas. No entanto, lembro-me
de que a vida, naquela época, não era fácil. O planejamento familiar era
tarefa ingrata, porque como planejar se você não sabe o preço das coisas
amanhã? E a desigualdade social era muito mais acentuada, porque (por
exemplo) era impossível pensar em viajar de avião, mesmo para uma
família de classe média (Europa, então, era outro mundo). Mas daí veio o
plano Real, e as coisas melhoraram... E obviamente muito do crédito por
essa melhora vai para o ex-presidente Fernando Henrique Cardoso e por
sua política econômica que, pelo menos no começo do seu governo,
conseguiu estabilizar as coisas de forma louvável. Mas, como pôde-se ver
depois, Lula refinou a economia do antigo governo, e atrelou-a ao lado
social, que por tanto tempo ficou esquecido.

Um outro argumento que ouço e vejo muito, principalmente por aqueles que
são anti-petistas declarados, é o da corrupção. Confesso que não entendo
o motivo desse ódio tão grande a apenas uma parcela do governo
brasileiro (o PT não toma conta do Brasil, ao contrário do que muita
gente insiste em dizer). Esquecem-se que denúncias de corrupção sempre
existiram, em todos os nossos governos, e que é contra ela (a corrupção)
que devemos lutar, ao invés de escolhermos um partido específico? Quando
escolhemos um alvo, estamos, de certa forma, dando salvo-conduto para os
outros que cometem o mesmo crime. Para mim, quando ouço um “argumento”
desse tipo, a vontade de discutir cai exponencialmente.

Infelizmente, o argumento anti-petista passa por tantos outros absurdos
(Venezuela, Cuba, bolivarianismo, comunismo), e é tão estúpido, que
parece-me que a pré-condição para ser ouvinte dele é estar imerso na
completa ignorância, principalmente a respeito desses termos. Se você
souber o que é bolivarianismo ou comunismo, por exemplo, você já não
pode ouvir o argumento, porque aí não vai acreditar nas conclusões. É
algo tão impressionante e infantil que, novamente, fica difícil ter
qualquer tipo de conversa com pessoas que repetem essas falácias como se
fossem obviedades que estão aí, para qualquer um que queira vê-las.

Todo esse tipo de conversa, ao meu ver, leva a apenas uma conclusão: o
conservadorismo está se alastrando no mundo. No Brasil, ele está tomando
proporções perigosamente grandes. Às vezes penso qual seria a melhor
maneira de combatê-lo: educar não me parece ser uma solução muito
efetiva, ainda mais quando estamos falando de pessoas que possuem uma
condição social mais favorável, e que julgam-se instruídas e informadas.
Por enquanto, a solução tem sido ignorar o problema, o que também não
vem surtindo efeitos práticos, haja visto a escalada dos conservadores
nessas últimas eleições. Contraditoriamente, talvez a solução fosse
parar de lutar e deixar a água correr. Parece-me às vezes que a
humanidade precisa mesmo repetir seus erros de modo cíclico, para
reaprender o motivo pelo qual eles já foram corrigidos outras vezes.
