---
date: 2019-04-30T00:00:00-05:00
title: "Debian Bug Squashing Party, Toronto version"
tags: [en_us, english, debian, free-software]
---

Heya!

This past Saturday, April 27th,
2019,
[Samuel Vale](https://svale.eng.br/), [Alex Volkov](https://flamy.ca/)
and I organized
the
[Toronto Bug Squashing Party](https://wiki.debian.org/BSP/2019/04/ca/Toronto) here
in the city.  I was very happy with the outcome, especially the fact
that we had more than 10 people attending, including a bunch of folks
that came from Montréal!

The start
---------

It was a cold day in Toronto, and we met at the Mozilla Toronto office
at 9 in the morning.  Right there at the door I
met [anarcat](https://anarc.at), who had just arrived from Montréal.
Together with Alex, we waited for [Will](https://twitter.com/hawkinsw)
to arrive and open the door for us.  Then, some more folks started
showing up, and we waited until 10:30h to start the first presentation
of the day.

Packaging 101
-------------

Anarcat kindly gave us his famous
"[Packaging 101](https://anarc.at/software/debian-development/)"
presentation, in which he explains the basics of Debian packaging.
Here's a picture of the presentation:

![anarcat presenting Packaging 101, side](/images/toronto-bsp-2019-04-27-1.jpg)

And another one:

![anarcat presenting Packaging 101, front](/images/toronto-bsp-2019-04-27-2.jpg)

The presentation was great, and Alex recorded it!  You can watch
it [here](https://www.youtube.com/watch?v=O83rIRRJysA) (sorry, youtube
link...).

During the day, we've also taught a few tricks about
the [BTS](https://bugs.debian.org), in order to help people file bugs,
add/remove tags, comment on bugs, etc.

Then, we moved on to the actual hacking.

Bug fixing
----------

This part took most of the day, as was expected.  We started by
looking at the RC bugs currently filed against Buster, and deciding
which ones would be interesting for us.  I won't go into details here,
but I think we made great progress, considering this was the first BSP
for many of us there (myself included).

You
can
[look at the bugs we worked on](https://udd.debian.org/cgi-bin/bts-usertags.cgi?user=debian-release%40lists.debian.org&tag=bsp-2019-04-ca-toronto),
and you will see that we have actually fixed 6 of them!  I even fixed
a JavaScript bug, which is something totally out of my area of
expertise ;-).

I also noticed something interesting.  The way we look at bugs can
vary wildly between one DD and another.  I mean, this is something I
always knew, especially when I was more involved with the
debian-mentors effort, but it's really amazing to feel this in person.
I tend to be more picky when it comes to defining what to do when I
start to work on a bug; I try really hard to reproduce it (and spend a
lot of time doing so), and will really dive deep into the code trying
to understand why some test is failing.  Other developer may be less
"pedantic", and choose to (e.g.) disable certain test that is failing.
In the end, I think everything is a balance and I tried to learn from
this experience.

Anyway, given that we looked at 12 bugs and solved 6, I think we did
great!  And this also helped me to get my head "back in the Debian
game"; I was too involved with GDB these past months (there's a post
about one of the things I did which is coming soon, stay tunned).

Look at us hacking:

![Everybody hacking](/images/toronto-bsp-2019-04-27-3.jpg)

Wrap up
-------

At 19h (or 7p.m.), we had to wrap up and prepare to go.  Because we
had a sizeable number of Brazilians in the group (5!), the logical
thing to do was to go to a pub and resume the conversation there :-).
If I say it was one of the *first* times I went to a pub to drink with
newly made friends in Toronto, you probably wouldn't believe, so I
won't say anything...

I know one thing for sure: we want to make this again, and soon!  In
fact, my idea is to do another one after Buster is released (and after
the summer is gone, of course), so maybe October.  We'll see.

Acknowledgements
----------------

I would like to
thank
[Mozilla Toronto](https://www.mozilla.org/en-US/contact/spaces/toronto/) for
hosting us; it was awesome to finally visit their office and enjoy
their hospitality, personified
by [Will Hawkins](https://twitter.com/hawkinsw).  It is impossible not
to thank [anarcat](https://anarc.at/), who came all the way from
Montréal to give us his Debian Packaging 101 talk.  Speaking of the
French-Canadian (and Brazilian), it was super awesome
meeting [Tiago Vaz](https://wiki.debian.org/Tiago%20Bortoletto%20Vaz)
and [Tássia Camões](https://www.ime.usp.br/~tassia/index.html), and it
was great seeing [Valessio Brito](http://valessiobrito.com.br/) again.

Let me also thank the "locals" who attended the party; it was great
seeing everybody there!  Hope I can see everybody again when we make
the second edition of our BSP :-).
