---
date: 2013-10-16T00:00:00-05:00
title: "About coherence, Twitter, and the Free Software Foundation"
tags: [en_us, english, thoughts, rant, free-software, fedora-planet]
---

The [Free Software Foundation](https://fsf.org) has a
[Twitter](https://twitter.com) [account](https://twitter.com/fsf).
Surprised? So am I, in a negative way, of course. And I will explain why
on this post.

You may not agree with me on everything I write here, and I am honestly
expecting some opposition, but I would like to make it crystal clear
that my purpose is to raise awareness for the most important "feature"
an organization should have: **coherence**.

The shock
---------

I first learned about the Twitter account on IRC. I was hanging around
in the `#fsf` channel on Freenode, when someone mentioned that "*...
something has just been posted on FSF's Twitter!*" (yes, it was a happy
announcement, not a complaint). I thought it was a joke, but before
laughing I decided to confirm. And to my deepest sorrow, I was wrong.
**The Free Software Foundation has a Twitter account**. The implications
of this are mostly bad not only for the Foundation itself, but also for
us, Free Software users and advocates.

Twitter uses Free Software to run its services. So does Facebook, and I
would even bet that Microsoft runs some GNU/Linux machines serving
intranet pages... But the thing is not about what a web service uses. It
is about endorsement. And I will explain.

Free ads, anyone?
-----------------

I remember having this crazy thought some years ago, when I saw some
small company in Brazil putting the Facebook logo in their product's
box. What surprised me was that the Facebook logo was actually bigger
than the company's logo! What the heck?!?! This is "Marketing 101": you
are drawing attention to *Facebook*, not to your company who actually
made the product. And from that moment on, every time I see Coca Cola
putting a "Find us on <http://facebook.com/cocacola>" (don't know if the
URL is valid, it's just an example) I have this strange feeling of how
an internet company can twist the rules of marketing and get free ads
everywhere...

My point is simple: when a company uses a web service, it is endorsing
the use of this same web service, even if in an indirect way. And the
same applies to organizations, or foundations, for that matter. So the
question I had in my mind when I saw FSF's Twitter account was: do we
really want to endorse Twitter? So I sent them an e-mail...

Talking to the FSF - First message
----------------------------------

I have exchanged some interesting messages with Kyra, FSF's Campaign
Organizer, and with John Sullivan, FSF's Executive Director. I will not
post the messages here because I don't have their permission to do so,
but I will try to summarize what we discussed, and the outcomings.

My first message was basically requiring some clarifications. I had read
this [interesting page about the presence of FSF on
Twitter](https://www.fsf.org/twitter), and expressed my disagreement
about the arguments used there.

They explicitly say that Twitter uses nonfree JavaScript, and suggest
that the reader use a free client to access it. Yet, they still close
their eyes to the fact that a [big part of the Twitter
community](http://benjaminmayo.co.uk/how-many-people-use-twitter-s-own-apps)
use it through the browser, or through some proprietary application.

They also acknowledge that Twitter accounts have privacy issues. This is
obvious for anyone interested in privacy, and the FSF even provides a
link to an interesting story about subpoenas during the Occupy Wall
Street movement.

Nevertheless, the FSF still thinks it's OK to have a Twitter account,
because it uses Twitter via a bridge which connects FSF's [StatusNet
instance](http://status.fsf.org/fsf) to Twitter. Therefore, in their
vision, they are not really using Twitter (at least, they are not using
the proprietary JavaScript), and well, let the bridge do its job...

This is nonsense. Again: when a foundation uses a web service, it is
endorsing it, even if indirectly! And that was the main argument I have
used when I wrote to them. Let's see how they replied...

FSF answers
-----------

The answer I've got to my first message was not very good (very weak
arguments), so I won't even bother talking about it here. I had to send
another message to make it clear that I was interested in real answers.

After the second reply, it became clear to me that the main point of the
FSF is to reach as many people as they can, and pass along the message
of software user freedom. I have the impression that it doesn't really
matter the means they will use for that, as long as it is not Facebook
(more on that latter). So if it takes using a web service that
disrespects privacy and uses nonfree Javascript, so be it.

It also seems to me that the FSF believes in an illusion created by
themselves. In some messages, they said that they would try to do a
harder job at letting people know that using Twitter is not the
solution, but part of the problem (the irony is that they would do that
**using** Twitter). However, sometimes I look at FSF's Twitter account,
and so far **nothing has been posted** about this topic. Regular people
just don't know that there are alternatives to Twitter.

I will take the liberty to tell a little story now. I told the same
story to them, to no avail. Let's imagine the following scenario: John
has just heard about Free Software and is beginning to study about it.
He does not have a Twitter account, but one of the first things he finds
when he looks for Free Software on the web is FSF's Twitter. So, he
thinks: "Hey, I would like to receive news about Free Software, and it's
just a Twitter account away! Neat!". Then, he creates a Twitter account
and starts following FSF there.

Can you imagine this happening in the real world? I definitely can.

The FSF is also mistaken when they think that they should go to Twitter
in order to reach people. I wrote them, and I will say it again here,
that I think we should create ways to reach those users "indirectly"
(which, as it turns out, would be more direct!), trying to promote
events, conferences, talks, face-to-face gatherings, etc. The
LibrePlanet project, for example, is a *great* way of doing this job
through local communities, and the FSF should pay a lot more attention
to it in my opinion! These are "offline" alternatives, and I confess I
think we should discuss the "online" ones with extra care, because we
are in such a sad situation regarding the Internet now that I don't even
know where to start...

And last, but definitely not least, the FSF is being **incoherent**.
When it says that "it is OK to use Twitter through a bridge in a
StatusNet instance", then it should also be coherent and do the same
thing for Facebook. One can use Facebook through bridges connecting
privacy-friendly services such as
[Diaspora](https://github.com/diaspora/diaspora) and
[Friendica](https://github.com/friendica/friendica/wiki/How-to:-Friendica%E2%80%99s-Facebook-connector)
(the fact that Diaspora itself has a Facebook account for the project is
a topic I won't even start to discuss). And through those bridges, the
FSF will be able to reach **much** more people than through Twitter.

I am not, in any way, comparing Twitter and Facebook. I am very much
aware that Facebook has its own set of problems, which are bigger and
worse than Twitter's (in the most part). But last time I checked, we
were not trying to find the best between both. They are both bad in
their own ways, and the FSF should not be using either of them!

Conclusion
----------

My conversation with the FSF ended after a few more messages. It was
clear to me that they would not change anything (despite their promises
to raise awareness to alternatives to Twitter, as I said above), and I
don't believe in infinite discussions about some topic, so I decided to
step back. Now, this post is the only thing I can do to try to let
people know and think about this subject. It may seem a small problem to
solve, and I know that the Free Software community must be together in
order to promote the ideas we share and appreciate, but that is
*precisely* why I am writing this.

The Free Software movement was founded on top of ideas and coherence. In
order to be successful, we must remain coherent to what we believe. This
is not an option, there is no alternative. If we don't defend our own
beliefs, no one will.
