---
date: 2012-12-17T00:00:00-05:00
title: "Misunderstanding the Free Software Philosophy"
tags: [en_us, english, fedora-planet, rant, free-software]
---

This will probably be one of those controversial posts, but I really
cannot just be silent about a behaviour that I am constantly seeing
around me.

Since my childhood, I am fascinated by the power of the words. I always
liked reading a lot, and despite not knowing the grammar rules (either
in pt\_BR or en\_US, the former being my native language, the latter
being the only idiom I can consider myself fluent in), I am deeply
interested in what words (and their infinite meanings) can do to us. (If
you can read in portuguese, and if you also like to study or admire in
this subject, I strongly recommend a romance by José Saramago called "*O
Homem Duplicado*"). So now, what I am seeing everywhere is that people
are being as careless as ever with words, their meanings, and specially
their implications.

The problem I am seeing, and it is a serious problem in my opinion, is
the constant use of the term "**free software**" when "**open source**"
should be used. This is obviously not a recent problem, and I really
cannot recall when was the first time I noticed this happening. But
maybe because I am much more involved with (real) free software
movements now, I have the strong impression that this "confusion" is
starting to grow out of control. So here I am, trying to convince some
people to be a little more coherent.

When you create a group to talk about free software, or when you join a
group whose goal is to promote free software ideas, you should really
**do that**. First of all, you should understand [what free software is
about](http://www.gnu.org/philosophy/free-sw.html). It is **not about**
open source, for starters. It is also a political movement, not only a
technical one.

I was part of a group in my former university which had "Free Software"
in its name. For a long time, I believed the group really was about free
software, even after receiving e-mails with heavy negative critics about
my opinions when I defended something related to the free software
ideology (e.g., when I suggested that we should not have a Facebook
page, which had been created for the group by one of its members). Well,
when I really could not hide the truth from myself anymore, I packed my
things and left the group (this was actually the start of a new free
software group that I founded with other friends in Brazil).

I also like a lot to go to events. And not only because of the
presentations, but mostly because I really like to talk to people.
Brazilians are fortunately very warm and talkative, so events here are
really a fertile soil for my social skills :-). However, even when the
event has "free software" in its name and description, it is **very**
hard to find someone who really understands the philosophy behind the
term. And I'm not just talking about the attendees: the event staff is
also usually ignorant (and prefer to remain like this)! I feel really
depressed when I start to defend the (real) free software, and people
start looking at me and saying "You're radical.". It's like going in a
"Debugger Conference" and feel ridicularized when you start talking
about GDB! I cannot understand this...

But the worst part of all this is that newcomers are learning that "free
software" is "Linux", or something which is **not** free software. This
is definitely not a good thing, because people should be aware that the
world is not just about software development: there are serious issues,
including privacy and freedom menaces by Facebook/Google/Apple/etc,
which we should fight against. Free software is about that as well.
Awareness should be raised, actions should be taken, and people should
refuse those impositions.

So, to finish what I want to say, if you do not consider yourself a free
software activist, please consider becoming one. And if, after giving it
a thought, you decided that you really do not want to be a free software
activist, then **do not use the name "free software" in your
event/group/whatever**, unless you really intend to talk about it and
not open source.. In other words, if you don't want to help, please
don't spread confusion.
