---
date: 2013-09-23T00:00:00-05:00
title: "Reflexões de um ativista -- Parte 01"
tags: [pt_br, portugues, thoughts, fedora-planet, free-software]
---

Nesse último fim de semana, durante os dias 20 e 21 de Setembro
(sexta-feira e sábado, respectivamente), ocorreram dois eventos sobre
Software Livre na UNICAMP. Um deles, o
[Upstream](http://upstream.net.br), foi um "evento teste" que ajudei a
organizar junto com o [Cascardo](http://cascardo.info) e o Leonardo
Garcia, ambos do LTC/IBM. O outro, o [Software Freedom
Day](http://libreplanet.org/wiki/LP-BR-SP/Eventos/SFD_Campinas_2013)
(SFD), eu organizei em nome do [LibrePlanet São
Paulo](http://sp.libreplanetbr.org). Durante os dois eventos (e
principalmente durante o SFD) eu fiquei pensando e refletindo bastante
sobre vários assuntos relacionados (ou não) com o Software Livre.
Resolvi, então, aproveitar a oportunidade e escrever um pouco sobre
essas opiniões.

Antes, um breve relato dos dois eventos. Gostei parcialmente do
resultado que obtivemos com o Upstream. Acho que a qualidade dos
palestrantes foi ótima, e as discussões tiveram um nível muito bom. No
entanto, os workshops deixaram a desejar. Pelo pouco que pensei a
respeito, cheguei à conclusão de que faltou organização para definirmos
os assuntos que iriam ser abordados, e principalmente o melhor modo de
abordá-los. Assumo minha parcela de culpa nisso, afinal eu tentei ajudar
na organização do workshop de toolchain e ele não saiu do modo como
esperávamos. Problemas na infra-estrutura do local também atrapalharam
no resultado final. Mas, de modo geral, e levando em conta que essa foi
a primeira edição do evento, acho que conseguimos nos sair razoavelmente
bem. Certamente já temos muitas coisas pra pensar e melhorar para a
próxima edição!

Já sobre o SFD, apesar de várias pessoas muito boas terem participado do
evento, a minha impressão inicial (e forte) foi a de que fazer a
sociedade se interessar (ou ao menos ouvir, se bem que os dois conceitos
são intrinsecamente ligados) por assuntos que são de suma importância
para a manutenção (ou, no caso, a restauração) de um Estado que a
respeite é mais difícil do que eu pensava. E essa é também a primeira
reflexão do post.

Indignação x Ignorância
-----------------------

Há um conflito muito grande acontecendo com as pessoas. Provavelmente
ele não é "de hoje", mas de qualquer modo ele existe e precisa ser
resolvido. O conflito, do modo que vejo, pode ser resumido da seguinte
forma: "*até que ponto eu quero sentir indignação sobre um assunto, de
modo que eu não precise necessariamente tomar alguma atitude sobre
ele?*". Ou seja, a pessoa opta voluntariamente por permanecer na
ignorância parcial, para que ela não se sinta obrigada a tomar uma
posição sobre determinado problema que a atinge.

Tomemos o exemplo do Facebook. Alguém que tenha uma conta lá (i.e.,
"quase todo mundo") prefere se manter na ignorância sobre os termos de
serviço e privacidade que o site possui. Não estou entrando no mérito de
operações clandestinas de espionagem; estou falando sobre os textos
disponíveis no site do Facebook e que explicam (talvez não de maneira
muito clara, mas isso já é outro problema) o que o site faz e não faz a
respeito dos seus dados. É uma opção. É mais fácil apenas usar o site,
compartilhar imagens engraçadas com seus mil "amigos", e não olhar para
uma questão que deveria ser muito mais importante do que qualquer "like"
que possa ser dado.

Não sou sociólogo e estou longe de poder dar opiniões acadêmicas sobre
esse assunto, mas tenho a impressão de que o que acontece é um "retardo
social" na maioria dos cidadãos deste planeta. Não deixa de ser um
paradoxo o fato de que esse comportamento é exacerbado através de uma
"rede social", que se traveste de facilitadora de comunicações entre
indivíduos para poder exercer a derradeira função de uma empresa: ganhar
dinheiro. É importante frisar que não sou contra "ganhar dinheiro", mas
sou contra vários meios que são usados pra atingir esse objetivo.

No final, o produto somos nós, ou nossa privacidade. E quando eu digo
"nós" ao invés de "eles", é porque eu fiz uma outra reflexão...

Privacidade é um "bem" coletivo
-------------------------------

Pode parecer paradoxal à primeira vista, mas pare e pense um pouco. A
privacidade é sim um direito do indivíduo, mas quando você opta por não
tê-la, você está fazendo essa opção em nome de todas as pessoas que se
comunicam com você. Afinal, se você não se importa se alguém está lendo
suas mensagens, então qualquer tipo de comunicação que chega até você
pode e vai ser lida. E se essa comunicação partir de alguém que preza
pela própria privacidade, não vai fazer diferença alguma: a mensagem
será lida de qualquer jeito, porque *você* escolheu isso.

Estou acostumado a ouvir pessoas dizerem que elas não são tão
importantes a ponto de despertarem interesse em algum governo para que
ele queira espioná-las. "Portanto", dizem as pessoas, "não preciso me
preocupar". Bem, acho que esse argumento não invalida de maneira alguma
o fato de que proteger a própria privacidade é importante. Não interessa
o quão público alguém é; se ele não preza pela sua privacidade, ele está
abrindo mão de algo que afeta direta ou indiretamente várias pessoas.

O meu ponto aqui é simples. Faça a sua parte e proteja a sua
privacidade. Ninguém vai fazer isso por você, mas todos precisam e podem
fazer suas respectivas partes. É um trabalho em conjunto, mas que
depende da cooperação de todos. Se alguém perto de você não se importar,
você provavelmente vai ser prejudicado.
