---
date: 2013-11-14T00:00:00-05:00
title: "Reflexões de um ativista -- Parte 02"
tags: [pt_br, portugues, thoughts, fedora-planet, free-software]
---

Ainda não sei se estou preparado pra enfrentar a segunda parte dessa
"série", mas também não adianta fugir... O que eu sei é que essas
reflexões podem não ser condizentes com a realidade (ou com a **sua**
realidade), e que talvez eu esteja exagerando (ou aliviando) nas minhas
observações, mas em todo caso eu espero que seja possível para você,
querido leitor, traçar alguns paralelos com o seu modo de ver o mundo,
e, quem sabe, mudar algo na sua região.

Preguiça
--------

Este ponto relaciona-se mutuamente com os outros dois pontos (que também
relacionam-se mutuamente entre si). É claro, tudo está conectado nesse
mundo, até mesmo (e principalmente!) os motivos que levam alguém a se
**des**conectar de alguns valores morais e éticos.

Eu vejo pessoas preguiçosas o tempo todo. Às vezes, sou uma delas (por
mais que tente me afastar desse comportamento). Mas creio que existe uma
diferença entre alguém inerentemente preguiçoso, e alguém que se deixa
levar pela tentação da preguiça por conta de algum outro fator. A minha
reclamação, aqui, é com o primeiro tipo de pessoas.

O "teste" pra saber se você se encaixa nesse grupo é: quando você se
depara com algum problema difícil de ser resolvido, qual seu *modus
operandi*? Buscar soluções, ou desistir? Tentar você mesmo, ou pedir pra
alguém? Aprender com seus erros, ou repetí-los *ad eternum*? Se você não
quis nem pensar sobre esse teste, então acho a resposta é óbvia...

Mas o que isso tem a ver com ativismo? Tudo. Ser ativista é, por
definição, ter que enfrentar situações difíceis e desanimadoras,
platéias apáticas e desconfiadas, pessoas descrentes e alienadas. E isso
tudo é absurdamente frustrante, principalmente quando você acredita
naquilo que está falando, e sabe que as pessoas que estão ouvindo
**precisam** entender também! Afinal, como eu falei em outro post, a
privacidade (mas não só ela!) é um bem coletivo. A manutenção dela
**depende** da compreensão da comunidade sendo espionada.

Em outras palavras, as empresas, entidades e governos que estão lutando
para que você tenha cada vez menos direitos não dormem no ponto. Não vai
ser muito legal se nós dormirmos...

Só que esse ponto não se aplica somente aos ativistas em si. Obviamente,
encontramos (muitos!) preguiçosos (e preguiçosas) do outro lado, na
platéia. É sempre bom (e necessário) assumir que as pessoas pra quem
você está falando são ignorantes naquele assunto, e portanto precisam
ser instruídas minimamente para que possam tomar decisões maduras e
inteligentes. No entanto, mesmo **depois** de serem alertadas sobre
vários fatos e consequências dos seus atos, as pessoas **ainda assim**
preferem continuar na ignorância!! Existem vários nomes pra essa
"teimosia", mas eu costumo achar que um dos fatores que contribui pra
isso é a preguiça.

Preguiça em levantar da cadeira e procurar soluções que respeitem você e
sua comunidade. Preguiça em continuar pensando (ou seja, "sempre
alerta") sobre quais os riscos você está efetivamente correndo quando
usa aquela "rede social". Preguiça em mudar os hábitos. Preguiça em
lutar por seus direitos virtuais. Enfim, preguiça.

Preconceito
-----------

Esse é um dos pontos mais problemáticos. O preconceito está enraizado
nas pessoas, sem exceção. E o preconceito contra ativistas, de qualquer
tipo, é evidente.

Ser ativista não é somente acreditar em algo. Ser ativista é
principalmente **saber** de algo, e querer levar essa sabedoria para as
pessoas. Obviamente, existem vários tipos de ativismo, mas quando olho
pro que eu faço, eu me vejo mais como alguém que sente ser sua obrigação
ensinar as pessoas sobre algo que é desconhecido da maioria. Apesar de
realmente esperar que as pessoas acreditem nos valores que eu tento
passar (e quem não espera?), acredito que meu objetivo principal seja o
de "habilitar" a sociedade a tomar decisões conscientes sobre os
assuntos que tento "ensinar".

Algumas pessoas têm medo ou vergonha de me falar que usam Facebook,
Twitter, ou algum software não-livre. Mas eu noto que, na maior parte
dos casos, o medo delas decorre do fato de elas saberem que eu não
"gosto" de nenhum desses itens, e não do fato de elas saberem **por
que** eu não gosto deles. E nesse caso, eu não sinto raiva ou decepção
pela pessoa com quem estou conversando, mas sim uma necessidade de
realmente **explicar** o motivo de eu não concordar com a utilização
desses programas! Sei que se eu explicar, na verdade eu estarei dando
ferramentas pra que a pessoa consiga, ela mesma, decidir se quer
continuar usando-os. Essa é minha tarefa, no final das contas. Permitir
que o usuário de tecnologia consiga, de forma consciente e ética,
escolher o que quer e o que não quer. Mas aí entra o preconceito...

Quando começo a falar, é inevitável usar expressões como "liberdade",
"respeito", "ética", "comunidade", "privacidade", "questões sociais",
etc. Elas são o cimento pra que eu possa construir meus argumentos, e
não creio que palavras ou expressões por si só possam definir um liberal
de um conservador, por exemplo. No entanto, o que mais vejo são pessoas
que confundem ativistas de Software Livre com comunistas ou socialistas.
E como hoje a moda é o conservadorismo, às vezes as pessoas ignoram tudo
aquilo que falamos por conta desse preconceito idiota.

Meu objetivo não é discutir sobre se é bom ou ruim ser
socialista/comunista (apesar de eu definitivamente não ser
"conservador", e achar esse preconceito absurdo). Mas o que deve ficar
claro é que o Software Livre, apesar de ser um movimento político, **não
é** um movimento partidário. Defendemos valores bem definidos, que podem
ou não ter a ver com idéias comunistas/socialistas, mas que não advogam
a favor desse movimento político. Também é importante mencionar que, por
ser um movimento social, é natural que muitas idéias e preceitos
defendidos pelos ativistas de Software Livre sejam simpáticos à causa
socialista/comunista. Mas isso obviamente não faz com que Stallman seja
o novo Stalin (apesar da semelhança dos sobrenomes).

Enfim, o meu pedido para a comunidade em geral é: ouçam a mensagem,
independente do interlocutor, e pensem a respeito, independente da sua
orientação político-partidária. Aquilo pelo qual lutamos independe de
partido, religião, time de futebol, nacionalidade. Depende simplesmente
de seres humanos, de uma comunidade que não tem fronteiras, não tem uma
única cultura, mas que merece mais respeito. Só que, infelizmente, vamos
ter que exigir isso.
