---
date: 2013-04-01T00:00:00-05:00
title: "Relato dos Install Fests na UNESP de Rio Claro/SP e na UNICAMP/SP"
tags: [pt_br, portugues, fedora-planet, installfest, report, fedora]
---

E... Aqui estamos (estou?) com mais um relato sobre duas atividades
envolvendo o [Projeto Fedora](http://fedoraproject.org/pt_br/)! Ele
contempla, respectivamente, os Install Fests ocorridos na [UNESP de Rio
Claro/SP](http://www.rc.unesp.br/) e na
[UNICAMP](http://www.unicamp.br). Foram atividades que envolveram
diversas pessoas, tiveram vitórias e derrotas, alegrias e tristezas, mas
acima de tudo um sentimento de impotência (principalmente no Install
Fest ocorrido na UNICAMP) em relação às novas "tecnologias" de boot,
principalemente ao [Secure
Boot](http://en.wikipedia.org/wiki/Unified_Extensible_Firmware_Interface#Secure_boot).

Install Fest: missão UNESP de Rio Claro/SP
------------------------------------------

Este foi o Install Fest mais tranquilo. Ele começou a ser organizado
logo depois da
minha
[participação na Semana da Computação da UNESP de Rio Claro]({filename}/2012-10-24-relato-apresentacao-fedora-unesp-rio-claro.md),
e a intenção inicial era realizá-lo no dia da matrícula dos alunos
ingressantes na Universidade. No final das contas, decidimos postergar
a data, e isso foi uma boa escolha.

O Install Fest aconteceu no dia 06 de março de 2013, em um auditório da
Biblioteca do campus, e começou com uma palestra minha sobre o Projeto
Fedora. Foi basicamente a mesma palestra que eu havia apresentado na
Semana da Computação, mas de uma maneira mais sucinta porque tínhamos
pouco tempo. Creio que a palestra foi bem recebida, porque o público
demonstrou interesse em contribuir com o Projeto Fedora depois que eu
expliquei os meios para isso :-). Além disso, apesar do número pequeno
de pessoas (aproximadamente 12 participantes), todos estavam bastante
interessados no conteúdo, o que é uma motivação extra!

Bem, após a palestra era hora de começar a instalar os sistemas. Levei
vários DVDs do Fedora, em basicamente 2 versões: LiveDVDs, que permitem
o boot e a utilização de um sistema Fedora sem a necessidade de instalar
nada na máquina, e InstallDVDs, que não oferecem a opção de
"experimentar" o sistema, mas já possuem todos os pacotes necessários
para fazer uma instalação completa. Expliquei a todos os presentes
algumas regras básicas de todo Install Fest: é preciso reparticionar o
disco rígido caso se queira manter o Microsoft (R) Windows (R), quem
organiza o Install Fest não pode assumir responsabilidade por nenhuma
falha na instalação (apesar de elas serem raras), e também não pode
assumir responsabilidade caso o usuário torne-se viciado no GNU/Linux
:-). Dito isso, começamos a colocar as mãos na GNU/massa.

O primeiro desafio (e, até então, único!) dos Install Fests recentes é
imposto pelos próprios fabricantes de notebooks. Um disco rígido que
ainda utilize [MBR](http://en.wikipedia.org/wiki/Master_boot_record) (a
maioria) suporta apenas 4 partições primárias. Antigamente, os
fabricantes criavam apenas uma partição para o Microsoft (R) Windows
(R), e às vezes chegavam a criar outra partição de "recuperação", mas
paravam por aí. Atualmente, não é raro encontrar computadores com 4
partições primárias já criadas. Eu inclusive já cheguei a ver notebooks
com discos de 1 TB com uma partição primária de pouco mais de 1 MB! É
uma prática totalmente absurda, e a meu ver é feita com má-fé, visando
dificultar a instalação de outros sistemas operacionais. Além disso, pra
piorar ainda mais, alguns fabricantes (HP me vem à cabeça, mas existem
outros) dão um jeito de **invalidar** a garantia caso o esquema de
particionamento seja alterado!!!

Felizmente, vários computadores no Install Fest possuíam apenas 3
partições (ou até menos!), e aqueles que possuíam 4 partições ou usavam
um outro *boot sector* (chamado
[GPT](http://en.wikipedia.org/wiki/GUID_Partition_Table)), ou já estavam
fora da garantia do fabricante e podiam ter seus esquemas de
particionamento alterados. O próprio Microsoft (R) Windows (R), a partir
da versão 7 (se não me engano), oferece uma ferramenta específica para
redimensionar e reparticionar o disco, portanto essa primeira etapa foi
concluída com sucesso em todas as máquinas (por favor, se você
participou do Install Fest e se lembra de alguma máquina na qual não foi
possível efetuar o reparticionamento, por favor contate-me
&lt;about&gt; para que eu corrija o post!).

Depois de reparticionar, era hora de começar a instalação. Quase todos
preferiram utilizar o InstallDVD, porque a instalação pela internet iria
demorar muito. Após o boot, deparamo-nos com a interface do instalador
do Fedora 18. Depois de ter lido diversas críticas sobre ele, pude
finalmente confirmar que, infelizmente, quase todas condizem. Confesso
que fiquei confuso no início, principalmente na tela de particionamento
e seleção de disco, que não é nem um pouco intuitiva. Sei que o
instalador foi reescrito, e que ele foi um dos principais motivos do
atraso no lançamento do Fedora 18, então espero muito que as melhorias
para o Fedora 19 contemplem, principalmente, essa parte de interface com
o usuário. Após apanhar um pouco, acabei me acostumando com ele e as
outras instalações foram mais tranquilas.

Conforme as instalações foram acabando, os sistemas começaram a ser
configurados. Se minha memória não falha, todos optaram por instalar o
GNOME 3, que é o desktop padrão do Fedora 18. Eu particularmente não
gosto dele, e também tive algumas dificuldades (principalmente ao tentar
encontrar modos de alterar opções mais avançadas), mas algumas pessoas
gostaram do visual.

No final, esqueci de contar quantas máquinas foram instaladas, mas creio
que chegamos perto de 11. Todas as instalações foram bem sucedidas, até
onde minha memória alcança :-). E novamente eu fiquei bastante
satisfeito com minha ida à UNESP de Rio Claro!

Entretanto, nuvens negras estavam se aproximando, e minha alegria
duraria pouco...

Install Fest: missão UNICAMP
----------------------------

Há alguns anos começaram a surgir notícias sobre um novo sistema que
substituiria a [BIOS](http://en.wikipedia.org/wiki/BIOS), permitindo
muito mais flexibilidade durante o boot e inclusive adicionando camadas
de segurança que protegeriam o usuário de vírus e outras ameaças. Esse
sistema chama-se [UEFI](http://en.wikipedia.org/wiki/Uefi) (e uma das
tais "camadas de segurança" chama-se [Secure
Boot](http://en.wikipedia.org/wiki/Unified_Extensible_Firmware_Interface#Secure_boot)),
e no ano passado ele ganhou muita notoriedade porque a Microsoft (R)
anunciou que seu então novo sistema, o Windows (R) 8, só poderia ser
utilizado em máquinas com [UEFI](http://en.wikipedia.org/wiki/Uefi).
Isso causou uma corrida dos fabricantes de computador para adaptar-se a
esse novo modelo (e ganhar o famigerado selo de compatibilidade da
Microsoft (R)), e gerou incoformismo em boa parte das comunidades
envolvidas com Software Livre e/ou Open Source.

Resumindo, o grande problema desse novo esquema é a necessidade de uma
chave criptográfica assinada por uma autoridade certificadora para que o
sistema operacional seja iniciado. Essa é a segurança que o [Secure
Boot](http://en.wikipedia.org/wiki/Unified_Extensible_Firmware_Interface#Secure_boot)
provê, e o único jeito de obter uma chave assinada é... (tambores)...
pagando à Microsoft (R)!

Até onde eu sei, o Microsoft (R) Windows (R) 8 **não funciona** caso o
[Secure
Boot](http://en.wikipedia.org/wiki/Unified_Extensible_Firmware_Interface#Secure_boot)
esteja desabilitado (um meio perfeitamente válido de instalar uma
distribuição GNU/Linux que não possui a tal chave criptográfica), então
a distribuição é obrigada a compactuar com esse esquema caso queira
oferecer a opção de dual-boot ao usuário. E atualmente, as duas únicas
distribuições que oferecem isso são o Fedora e o Ubuntu.

Bem, depois dessa sucinta explicação, começa aqui meu relato sobre o que
aconteceu no Install Fest. No dia 13 de março de 2013, quarta-feira, nos
reunimos no [Instituto de Computação](http://ic.unicamp.br/) da UNICAMP
para realizarmos a instalação de distribuições GNU/Linux. Novamente, eu
levei vários DVDs do Fedora para serem utilizados pelos alunos
ingressantes nos cursos de Ciência e Engenharia de Computação. Dessa vez
não houve palestra introdutória sobre o Projeto Fedora, mas eu resolvi
pegar 10 minutos e explicar as "regras" de um Install Fest. Também
comentei sobre a má prática que algumas fabricantes de notebooks têm
quando decidem entregar um disco rígido todo particionado e sem a
possibilidade de adição de novas partições primárias. Dito isso,
começamos a instalar.

Infelizmente, devido a diversos fatores como inexperiência, tempo curto
para organização do evento, e erro na estimativa de quantas pessoas
iriam ao evento, acabamos ficando com muita gente pra instalar e pouca
gente pra ajudar. Não chegamos a fazer uma contagem oficial, mas eu
suponho que pelo menos 20 pessoas estavam na sala querendo instalar o
Fedora. E a grande maioria delas estava com notebooks novos, com
Microsoft (R) Windows (R) 8, i.e., com UEFI e Secure Boot habilitados.

Conforme íamos reparticionando os discos e bootando os DVDs do Fedora,
começamos a perceber que havia algo errado. Depois de terminar a
instalação em algumas máquinas, notávamos que o sistema não iniciava. O
que tínhamos que fazer, em alguns casos, era desabilitar o Secure Boot
(mesmo assim, sem sucesso em alguns casos). E depois disso, o Fedora
finalmente era iniciado, mas o Microsoft (R) Windows (R) 8 não aparecia
na lista de sistemas operacionais do GRUB! Ou seja, era impossível fazer
com que os dois sistemas convivessem na mesma máquina.

Tivemos alguns casos um pouco mais graves, mas que no fim foram
resolvidos. E antes que você me pergunte qual foi a solução, eu
respondo: reabilitamos o Secure Boot, e praticamente desfizemos a
instalação do Fedora. Ou seja, a esmagadora maioria dos alunos presentes
no Install Fest voltou pra casa com uma máquina sem Fedora ou qualquer
outra distro GNU/Linux. Eu pessoalmente vi apenas 2 instalações bem
sucedidas, apesar de que depois do Install Fest fiquei sabendo de mais.

Saí do evento bastante chateado, achando que a culpa havia sido nossa, e
que os alunos nunca mais iriam querer instalar GNU/Linux nas suas
máquinas. Mas depois de um tempo, coloquei as idéias em ordem e resolvi
escrever este post. Não estou eximindo ninguém da culpa, creio que
devíamos ter planejado o Install Fest um pouco melhor, e com certeza
aprendemos com os erros que cometemos. Mas acho muito importante
**apontar alguns dedos** e dizer o que realmente aconteceu.

Conclusões
----------

A conclusão principal não poderia ser outra. **É preciso tomar muito
cuidado com essas novas tecnologias de boot**. Quando for comprar uma
máquina nova, é preciso prestar **muita** atenção a isso, pois essas
novas tecnologias nada mais são do que armadilhas para tirar a sua
liberdade de escolher o que quer executar na sua máquina. É preciso
lutar contra essas imposições que as empresas fazem (não seja inocente
pensando que é só a Microsoft (R) que está por trás disso...), e é
preciso tomar conta da sua liberdade. Se quiser demonstrar ainda mais
seu apoio contra essas imposições (e entender mais do porquê delas
existirem), [clique aqui e leia a página da Free Software Foundation
sobre o assunto (e assine a petição
também!)](http://www.fsf.org/campaigns/secure-boot-vs-restricted-boot/).

Conclusões secundárias: um Install Fest (ou qualquer evento, na verdade)
precisa ser organizado com antecedência, e precisa ter bastante gente
disposta a ajudar nas instalações. Só assim as coisas fluem.

Agradecimentos
--------------

Não posso deixar de agradecer o [Ricardo
Panaggio](https://twitter.com/panaggio) por me ajudar indo até a UNESP
de Rio Claro comigo! Ele também ajudou bastante no Install Fest da
UNICAMP.

Também gostaria de agradecer ao Marcel Godoy e ao Centro Acadêmico da
Computação da UNESP de Rio Claro pela organização e divulgação do
Install Fest lá. Muito obrigado!

O Install Fest da UNICAMP só foi possível com a ajuda do [Grupo
Pró-Software Livre](http://gpsl.ic.unicamp.br) da UNICAMP, em especial
ao Gabriel Krisman. O [Ivan S. Freitas](http://isf.sdf.org/about.html) e
o [Raniere Gaia Silva](http://www.ime.unicamp.br/~ra092767/) também
ajudaram no apoio logístico do Install Fest.

Por fim, gostaria de agradecer à comunidade Fedora pelo apoio com os
DVDs. Obrigado a todos!
