---
date: 2014-10-15T00:00:00-05:00
title: "Respectful Software"
tags: [free-software, en_us, english, privacy, security, fedora-planet, philosophy, thoughts]
---

**To what extent should Free Software respect its users?**

The question, strange as it may sound, is not only valid but also
becoming more and more important these days. If you think that the [four
freedoms](http://www.gnu.org/philosophy/free-sw.html) are enough to
guarantee that the Free Software will respect the user, you are probably
being oversimplistic. The four freedoms **are** essential, but they are
not sufficient. You need more. I need more. And this is why I think the
Free Software movement should have been called the **Respectful
Software** movement.

I know I will probably hear that I am too radical. And I know I will
hear it even from those who defend Free Software the way I do. But I
need to express this feeling I have, even though I may be wrong about
it.

It all began as an innocent comment. I make lots of presentations and
talks about Free Software, and, knowing that the word “Free” is
ambiguous in English, I started joking that Richard Stallman should have
named the movement “Respectful Software”, instead of “Free Software”. If
you think about it just a little, you will see that “respect” is a word
that brings different interpretations to different people, just as
“free” does. It is a subjective word. However, at least it does not have
the problem of referring to completely unrelated things such as “price”
and “freedom”. Respect is respect, and everybody knows it. What can
change (and often does) is *what* a person considers respectful or not.

(*I am obviously not considering the possible ambiguity that may exist
in another language with the word “respect”.*)

So, back to the software world. I want you to imagine a Free Software.
For example, let's consider one that is used to connect to so-called
“social networks” like [GNU Social](http://gnu.io/social/) or
[pump.io](http://pump.io/). I do not want to use a specific example
here; I am more interested in the consequences of a certain decision.
Which decision? Keep reading :-).

Now, let's imagine that this Free Software is just beginning its life,
probably in some code repository under the control of its developer(s),
but most likely using some proprietary service like GitHub (which is an
issue by itself). And probably the developer is thinking: “*Which social
network should my software support first?*”. This is an extremely valid
and important question, but sometimes the developer comes up with an
answer that may not be satisfactory to its users. This is where the
“respect” comes into play.

In our case, this bad answer would be “Facebook”, “Twitter”, “Linkedin”,
or any other unethical social network. However, those are exactly the
easiest answers for many and many Free Software developers, either
because those “vampiric” services are popular among users, or because
the developer him/herself uses them!!
 By now, you should be able to see where I am getting at. My point, in a
simple question, is: “**How far should we, Free Software developers,
allow users to go and harm themselves *and* the community?**”. Yes, this
is not just a matter of self-inflicted restrictions, as when the user
chooses to use a non-free software to edit a text file, for example. It
is, in most cases, a matter of harming **the community** too. (I have
written a post related to this issue a while ago, called
“[Privacy as a Collective Good]({filename}/2014-05-15-privacy-collective-good.md)”.)

It should be easy to see that it does not matter if I am using Facebook
through my shiny Free Software application on my computer or cellphone.
What **really** matters is that, when doing so, you are basically
supporting the use of those unethical social networks, to the point that
perhaps some of your friends are also using them **because** of you.
What does it matter if they are using Free Software to access them or
not? Is the benefit offered by the Free Software big enough to eliminate
(or even soften) the problems that exist when the user uses an unethical
service like Linkedin?

I wonder, though, what is the limit that we should obey. Where should we
draw the line and say “I will not pass beyond this point”? Should we
just “abandon” the users of those unethical services and social
networks, while we lock ourselves in our not-very-safe world? After all,
we **need** to communicate with them in order to bring them to our
cause, but it is hard doing so without getting our hands dirty. But that
is a discussion to another post, I believe.

Meanwhile, I could give plenty of examples of existing Free Softwares
that are doing a disservice to the community by allowing (and even
**promoting**) unethical services or solutions for their users. They are
**disrespecting** their users, sometimes exploiting the fact that many
users are not fully aware of privacy issues that come as a “gift” when
you use those services, without spending any kind of effort to **teach**
the users. However, I do not want this post to become a flamewar, so I
will not mention any software explicitly. I think it should be quite
easy for the reader to find examples out there.

Perhaps this post does not have a conclusion. I myself have not made my
mind completely about the subject, though I am obviously leaning towards
what most people would call the “radical” solution. But it is definitely
not an easy topic to discuss, or to argument about. Nonetheless, we are
closing our eyes to it, and we should not do so. The future of Free
Software depends also on what kinds of services we promote, and what
kinds of services we actually warn the users against. This is my
definition of **respect**, and this is why I think we should develop
Free **and** Respectful Software.
