---
date: 2013-05-16T00:00:00-05:00
title: "So long, Ambassadors..."
tags: [fedora-planet, en_us, english, fedora]
---

No, I am **not leaving the Fedora Project**, I am just leaving (or
taking a break, depending on how you look) its
[Ambassadors](https://fedoraproject.org/wiki/Ambassadors) program. I am
still the co-maintainer of the [GDB](http://www.gnu.org/s/gdb) package,
and will contribute to the development of the distribution since it is
also my job. However, after a few months trying to become more involved
with the Fedora community (specifically with the Brazilian/LATAM
community), I became so disappointed that the only logical action for me
now is to step back.

My brief history
----------------

I joined the Ambassadors program on October, 2012. After having used the
system heavily for almost 3 years, I decided that it was about time to
pay something back to the community too. Since I live in Brazil, I
joined the the brazilian team of Ambassadors (which meant that I was
also part of the Latin America team). Thanks to my friend Leonardo Vaz
(from Red Hat), I talked to Daniel Bruno who then became responsible for
"mentoring" me.

The brazilian community was (and still is) very inactive (compared to
others, and to itself a few years ago), but I was very excited and
decided to try to revive it. And the first task that I assigned myself
was to regain control of the [brazilian](http://www.projetofedora.org)
and [LATAM](http://www.proyectofedora.org) domains.

The domains
-----------

Alejandro Perez, a very nice guy from Panamá responsible for LATAM's
money, asked me to talk to Rodrigo Padula, an inactive Fedora Ambassador
from Brazil, about the domains. Padula was a very active member of the
brazilian community since 2006 if I'm not mistaken, but due to reasons
beyond my knowledge is inactive in the Fedora community for quite some
time now (he's still very active in the Mozilla community, however). And
he owns both domains.

Alejandro was worried because the LATAM domain had suffered some sort of
outage during some days, which is obviously bad for the project. He was
also concerned (and I totally agreed with him on this) because those
domains shouldn't be owned by a person (rather, it should be registered
on behalf of the Fedora Project or, ultimately, Red Hat), specially if
this person is now inactive.

To make a long story short, I spent more than 1 month doing the
indirection and talking to both guys about this issue. Padula initially
said he could transfer the domains without problem, but then changed his
mind and said he wouldn't do it. On the other side, Alejandro was
getting upset because Padula did not want to make the transfer, and the
LATAM community was pressuring him. In the end, I totally gave up, and
the LATAM guys registered [yet another
domain](http://fedora-latam.org/), but right now are still using the old
domain. Yes, a mess.

Working with LATAM
------------------

Anyway, after this episode, and after witnessing how active the LATAM
community was in contrast with the brazilian community, I decided to
work directly with them. I wanted to do something, and I was eager to
start working as a real ambassador, spreading the word about Fedora
everywhere. And my friends from Panamá, Argentina, México, Venezuela,
etc., seemed the right people to work with.

So I started attending the weekly meetings on `#fedora-latam`, at
Freenode, every Wednesday night. It is a well-organized meeting (run by
Alejandro), whose main goal is to vote tickets from LATAM ambassadors
(including brazilians). Tickets are basically requests made through a
[Trac](http://en.wikipedia.org/wiki/Trac)
[instance](https://fedorahosted.org/fedora-latam/), and are used to ask
for swags, media, sponsorship for travels, etc. The Fedora Project has a
budget, and the LATAM region gets a fraction of this budget for annual
expenses, so our job as ambassadors was to vote those tickets and decide
whether they deserve to be approved or not, according to [some rules
inside the
project](https://fedoraproject.org/wiki/Ambassadors/LATAM/Reimbursement).

Keep in mind: **we are dealing with money here**. It's not yours nor
mine, but it's still money that should be used to promote a project that
embraces open source initiatives (unfortunately, I cannot say Fedora is
Free Software, but that is a topic for another post).

So, after some weeks working with the LATAM guys, I became the default
owner of Trac tickets from brazilian ambassadors. And a few more weeks
down the road Alejandro asked me to produce media (Fedora DVDs) and be
resposible for distributing them in Brazil. I spent a lot of time
ordering the medias (I had to travel to São Paulo in order to make sure
everything was OK), and every time an ambassador requests Fedora DVDs I
go through a [series of
steps](https://fedoraproject.org/wiki/Pt_BR/Requisi%C3%A7%C3%A3o_M%C3%ADdia_2013_F18)
(link in pt_br, portugues) to guarantee that she gets her media and I get my
reimbursement.

I also like to give talks and presentations about the project, and so
I've attended some events (or organized them) just to be able to do
that. I have posted some reports about them in this blog, you can find
them in the archives (if you can read in pt\_BR).

So, enough of self-promotion: why I am leaving the ambassador's program
after all?

Disappointment
--------------

A few things started to happen:

-   During the weekly LATAM meetings, it bothered me to see that the
    tickets were being approved without any kind of serious discussion.
    Everyone (including myself!) was just giving "+1" to everything!
-   [FISL](http://fisl.org.br), the biggest open source (no, **it is not
    about Free Software**!!) event in LATAM, is going to happen on July.
    Suddenly, new brazilian ambassadors were popping out of nowhere, and
    inactive ambassadors were pretending to do something.
-   As a consequence, we received 9 sponsorship requests in our Trac.
    Some from active people, some not.

Something that I should have noticed before became crystal clear to me:
some people are there just to take advantages for their own. They are
not interested in the project, in the philosophy (yes, you can laugh at
my face now...), in the promotion of the ideals, etc. They just want
free lunch. And they get it...

During the last meeting I attended, two weeks ago, we were going to vote
the FISL tickets. A few days before the meeting, I sent the following
message to the LATAM Ambassadors list:

> Hi there,
>
> This message is just to let you know that we will be discussing
> several FISL tickets in our next meeting, May 8th. You can take a look
> at the meeting agenda by going to:
>
> <https://fedorahosted.org/fedora-latam/report/9>
>
> I would like to ask everyone to read the requests and make your
> decision based on *merits*, please. In my opinion, only active
> ambassadors should receive the honor of being sponsored by Fedora to
> go to FISL14. Let's not spend money unnecessarily, so try to avoid the
> "+1" wave when voting for the tickets.
>
> Thanks a lot,
>
> --Sergio.

As I said, some tickets were filed by inactive ambassadors, and I wanted
us to at least discuss the matter with him/her, showing that we were not
happy with his/her conduct. It is one thing when you have personal
problems and have to step away from the project for a while; it is
another different thing when you disappear without saying a word and
then comes back to request sponsorship for travel.

We began the meeting by discussing tickets filed by active members, and
approving them without thinking much about it. However, eventually we
got to the problematic ones. There is this specific guy, whose name I
will not mention here, who was very absent since I started in the
project, and I felt the need to point that out. I told him I hadn't seen
him in quite a while, and explained that there were many ambassadors
doing things for Fedora. He's a long term contributor to the project, as
he himself told me in a not-so-friendly tone during the meeting. But
that was not the subject of the discussion, and while he kept saying how
hard he worked for the project in the last 5 years, or how much he's
done for this or that, I remained silent and began to think: *what the
hell am I doing? Why am I wasting my time in a Wednesday night to
convince a group that someone maybe doesn't deserve the credit he's
asking for?* Well, the only reasonable answer was: *because I feel it is
the right thing to do.* But nobody said a word during this discussion,
and I started to feel something else. I felt that people were **not
interested** in evaluating how much this guy (or anybody else, for that
matter) really did for the project! And the feeling was corroborated
when someone else said: "*Hey, let's just approve the ticket now, we can
continue the discussion later*". ***WHAT????***. Let me see if I get it:
we are here to discuss, reach a consensus, and vote. You want to
approve, maybe discuss, fuck the consensus. Well...

I left before the end of the meeting, but I still managed to see this
behaviour explained by some people: there was enough money to approve
all tickets, so the meeting was just a formality needed to explain the
expenses later. I was at least fully convinced that I did not belong
there.

Not my place
------------

If you are part of a team and you disagree with its members, I believe
you have two choices most of the time: you can either (a) discuss with
them, try to understand their reasons for being different, try to
explain yours, see what you can do to overcome this, or (b) leave it.
Sometimes I choose one, sometimes another. This is the time for (b). I
don't want to spend more time and energy into something that doesn't
work the way I think it should. I don't feel motivated to fight against
the tide, because I am not so strong and the tide keeps getting bigger
and bigger. And I also don't want to stop people from doing what they
think is right, honestly. In the end of the day, I still want to believe
that everyone has a conscience and knows what's correct...

But I am not going to cross my arms and sit. Some friends and I decided
to create our own group, called [LibrePlanet São
Paulo](http://libreplanet.org/wiki/LP-BR-SP) (link in pt_br, portugues), and focus
on the real important thing: [Free
Software](http://www.gnu.org/philosophy/free-sw.html). I really hope we
can make a difference with our local community, and we have started with
the right foot already: we organized the Document Freedom Day in our
city this year!

As for Fedora, as I said, I still intend to continue contributing to it.
I'm still subscribed to the fedora-devel mailing list, and I still
follow the project's decisions, partly because it is part of my job,
partly because I strongly believe you have to give back what you take
for free -- as in freedom -- from the community. I also have some DVDs
and I intend to distribute them. But my time as a Fedora Ambassador is
coming to an end. It was a good experience, I met good people, had a
great time doing talks and presentations, and most of all, did what I
felt right at the right time.

So, as Douglas Adams said, "...thanks for all the fish!".
