---
date: 2015-01-05T00:00:00-05:00
title: "The GNU Radical"
tags: [en_us, english, free-software, philosophy, thoughts]
---

A friend of mine, [Blaise](http://blaise.ca), once told me not to
introduce myself as “... what you would call a radical...”. He had
listened to me talking to a person who were questioning what a Free
Software activist does. My friend's rationale, to which I totally agree,
is that you must let the other person decide whether she thinks you are
a “radical” or not. In other words, if you say you are a “radical” from
the beginning, it will probably induce the other person to a
pre-judgement about you, which is not good for you and for her.

As I said, I agree with him. But I am going through a lot of situations
in my life that are constantly reminding me that, maybe, I am that
“radical” after all. I do not know whether this is good or bad, and I
can say I have been questioning myself for a while now. This post, by
the way, is going to be a lot about self-questioning.

Maybe the problem is that I am expecting too much from those that have
the same beliefs that I do. Or maybe the cause is that I do not know
**what** to expect from them in certain situations, and I am
disappointed when I see that they do not follow what I think is best
sometimes. On the other hand, when I look myself in the mirror, I do not
know whether I am totally following what I think is best; and if I am
not, then how can I even consider telling others to do that? And even if
I am following my own advices, how can I be sure that they are good
enough for others?

One good example of this is my opinion about FSF's use of Twitter. The
opinion is [public]({filename}/2013-10-16-fsf-twitter-coherence.md),
and has been criticized by many people already, including Free
Software supporters. Shortly after I wrote the post, I mentioned it to
Richard Stallman, and he told me he was not going to read it because
he considered it “too emotional”. I felt deeply sad because of his
reaction, especially because it came from someone who often appeals to
emotions in order to teach what he has to say. But I also started
questioning myself about the topic.

Is it really bad to use Twitter? This is what I ask myself sometimes. I
see so many people using it, including those who defend Free Software as
I do (like Matt Lee), or those who stand against privacy abuses (like
[Jacob Appelbaum](https://en.wikipedia.org/wiki/Jacob_Appelbaum)), or
who are worried about social causes, or... Yeah, you got the point. I
refuse to believe that they did not think about Twitter's issues, or
about how they would be endorsing its use by using it themselves. Yet,
they are there, and a lot of people is following their posts and
discussing their opinions and ideas for a better world. As much as I try
to understand their motivation for using Twitter (or even Facebook), I
cannot convince myself that what they are doing is good for their goals.
Am I being too narrow minded? Am I missing something?

Another example are my thoughts about Free Software programs that
support (and sometimes even **promote**) unethical services. They (the
thoughts)
[are also public]({filename}/2014-10-15-respectful-software.md). And
it seems that this opinion, which is about something I called
“Respectful Software”, is too strong (or “radical”?) for the majority
of the developers, even considering Free Software developers. I saw
very good arguments on why Free Software *should* support unethical
services, and it is hard to disagree with them. I guess the best of
those arguments is that when you support unethical services like
Facebook, you are offering a Free Software option for those who want
or need to use the service. In other words, you are helping them to
slowly get rid of the digital handcuffs.

It seems like all those arguments (about Twitter, about implementing
support for proprietary systems on Free Software, and others) are
ultimately about **reaching users** that would otherwise remain ignorant
of the Free Software philosophy. And how can someone have
counter-arguments for this? It is impossible to argue that we do not
need to take the Free Software message to everybody, because when
someone does not use Free Software, she is doing harm to her community
(thus, we **want** more people using Free Software, of course). When the
Free Software Foundation makes use of Twitter to bring more people to
the movement, and when I see that despite talking to people all around
me I can hardly convince them to try GNU/Linux, who am I to criticize
the FSF?

So, I have been thinking to myself whether it is time to change. What I
am realizing more and more is that my fight for coherence perhaps is
flawed. We are incoherent by nature. And the truth is that, no matter
what we do, people change according to their own time, their own will,
and their own beliefs (or to the lack of them). I remembered something
that I once heard: changing is not binary, changing is a process. So,
after all, maybe it is time to stop being a “GNU radical” (in the sense
that I am radical even for the GNU project), and become a new type of
activist.
