---
date: 2014-05-20T00:00:00-05:00
title: "Zeladores da Coerência"
tags: [pt_br, portugues, rant, thoughts, free-software, open-source, philosophy]
---

Sei que ainda estou devendo um post sobre minha participação no [FISL
15](http://fisl.org.br), mas o tempo anda meio curto pra falar tudo o
que eu quero. Tenho decidido falar de maneira mais “picada”, até pra não
fazer o texto ficar muito chato. E esse post aqui é sobre um
comportamento que vejo há algum tempo, mas que foi exacerbado por conta
do debate sobre a suposta morte do movimento Software Livre no Brasil.

Antes de mais nada, se quiser assistir ao debate, o link direto está
[aqui](http://hemingway.softwarelivre.org/fisl15/high/41a/sala41a-high-201405081002.ogv).
Também sugiro uma visita à página wiki do grupo LibrePlanet São Paulo,
na qual você pode encontrar algumas sugestões de outras palestras
interessantes que rolaram no evento. Você pode acessá-la [nesse
link](http://wiki.libreplanetbr.org/Palestras_FISL_15_-_2014/).

Mas voltando ao assunto. Meu objetivo no post não é discutir o debate em
si; pretendo fazer isso em um post futuro. O ponto que quero discutir é
o comportamento do que chamo de “**zeladores da coerência**”. São
pessoas que existem em qualquer movimento social/político/filosófico, e
não poderia deixar de existir no Software Livre. Mas curiosamente, vejo
mais contundência naquelas pessoas que **não** defendem o Software
Livre, do que naquelas que o fazem. Explico-me.

O [Anahuac](http://anahuac.eu) fez alguns posts recentemente atacando a
falta de distinção entre os movimentos Open Source e Software Livre,
especificamente por parte daqueles que fazem parte do primeiro mas se
dizem defensores do segundo. Posso classificar, nesse meu post, o
Anahuac como sendo um zelador da coerência, apesar de ele mesmo admitir
algumas incoerências no seu comportamento, como o uso do Twitter. E,
apesar de nem sempre concordar com o tom que ele usa em seus textos,
muitas vezes combativos e até perigosamente ácidos, concordo com a
maioria dos pontos que ele levanta nos dois artigos que mencionei. Se
quiser lê-los, o primeiro é [esse aqui](http://www.anahuac.eu/?p=371), e
o segundo [tá nesse link](http://www.anahuac.eu/?p=375). Há bastante
tempo, publiquei minhas opiniões (em inglês) sobre esse mesmo assunto,
[nesse post aqui]({filename}/2012-12-17-misunderstanding-free-software.md).

Pois bem, como o Anahuac não tem problema em levar pedradas, ele postou
ambos os textos no site BR-[GNU/]Linux, notadamente um reduto Open
Source brasileiro. Parei de ler o site há bastante tempo, por conta de
diferenças de opinião com o conteúdo publicado, e principalmente por
notar sempre um tom irônico e parcial travestido de uma suposta “isenção
aos fatos” nos comentários que o autor do site faz sobre as notícias. No
entanto, o próprio Anahuac fez questão de trazer à minha atenção a
repercussão que os textos estavam tendo, e pediu-me pra ler os
comentários do post no BR-[GNU/]Linux. Vale mencionar que o site
utilizar o [Disqus](https://en.wikipedia.org/wiki/Disqus) para oferecer
um sistema de comentários, um serviço que não respeita a privacidade dos
seus usuários e realiza tracking das atividades dos mesmos. Como não
possuo uma conta lá, e utilizo alguns plug-ins para não executar código
Javascript não-autorizado no meu navegador, acabei tendo um pouco de
trabalho pra conseguir ler os comentários de forma mais ou menos
anônima. Mas no fim, consegui. E o que vi, apesar de ser “mais do
mesmo”, me deixou bem pensativo.

Não esperava uma reação diferente de parte da comunidade. Como disse, os
textos do Anahuac são feitos pra “tocar na ferida” de uma forma às vezes
brusca, e que desagrada muita gente. Vários comentários eram [ad
hominem](https://en.wikipedia.org/wiki/Ad_hominem), e nem merecem
menção. Mas o que me chamou a atenção foi a quantidade de pessoas
apontando incoerências (supostas ou verídicas) que o Anahuac comete, e
retirando dele o direito de apontar qualquer tipo de incoerência na
própria comunidade da qual faz parte. E aí fico pensando, será que nós
mesmos, ativistas do Software Livre, não estamos colhendo o que
plantamos?

Não consigo deixar de falar da minha experiência. Sempre tentei basear
meus atos e opiniões em cima da minha própria coerência. Sei que é
difícil, e, apesar de muitas vezes (pré)julgar alguém por uma
incoerência cometida, tento sempre lembrar que eu mesmo já usei Gmail e
Twitter para criticar o Software Livre. Obviamente que, na época, eu não
tinha tanto conhecimento a respeito dos perigos de se usar essas
ferramentas, mas mesmo assim nada impedia (como, de fato, não impediu!)
que alguém chegasse e me acusasse de incoerência. Já, inclusive,
condenei o uso do Facebook para divulgar um ex-grupo de Software Livre
do qual fazia parte, e recebi como resposta um “conselho” (não muito
educado) dizendo que, se eu quisesse usar apenas Software Livre, deveria
parar de usar computador, já que independente da máquina eu ia ter que
usar algo proprietário. Isso foi proferido por um dos fundadores do tal
grupo, um rapaz muito famoso pela falta de educação, mas que, há
bastante tempo atrás, acreditava nos mesmos ideais que eu.

É muito difícil rebater um argumento desse tipo. Aliás, é muito difícil
rebater um dedo apontado na sua cara mostrando alguma incoerência que
você comete, e que está lá como uma resposta a uma acusação sua de uma
outra incoerência. Algumas pessoas tendem a se defender justificando
seus erros através dos erros dos outros, e quando elas podem usar o
próprio “acusador” como um exemplo, melhor ainda (pra elas)! É isso que
está havendo, e é essa maré desses zeladores da coerência alheia que me
preocupa um pouco. Afinal, **sempre** vai ser possível encontrar
incoerências em qualquer pessoa.

Não sei direito onde quero chegar com esse texto, mas acho que uma coisa
está ficando um pouco clara na minha cabeça, ou pelo menos eu estou
começando a ver um lado diferente da história toda. Apontar
incoerências, por mais evidentes que elas estejam aos nossos olhos, pode
não ser a melhor forma de conseguirmos explicar nossos ideais. Pode
parecer óbvio (e talvez seja), mas ninguém gosta de ser colocado contra
a parede, e pouquíssimas pessoas têm a coragem necessária pra assumir
publicamente um erro. Talvez o caminho para a cabeça e o coração das
pessoas seja outro. Durante o debate no FISL, o
[Fred](http://teia.bio.br/blog/) falou algo que tem estado na minha
mente com cada vez mais frequência. Pode parecer piegas, mas nós
precisamos de mais amor ao próximo, até para podermos entender que nós,
também, já estivemos do lado de lá. O Software Livre, como movimento
social, político e filosófico que é, vai florescer cada vez mais quando
cada ativista olhar pra si mesmo e reconhecer, mesmo que com
dificuldade, aquele a quem espera passar um pouco do seu ideal.

É difícil, mas é necessário.
