---
date: 2014-05-21T00:00:00-05:00
title: "Being Permissive, the new Popular"
tags: [en_us, english, free-software, rant, thoughts, philosophy, open-source]
---

This post is massively inspired by a post in the `gnu-prog-discuss`
mailing list. This is a closed list of the [GNU
Project](http://gnu.org), and only GNU maintainers and contributors can
join, so I cannot put a link to the original message (by [Mike
Gerwitz](http://mikegerwitz.com)), but this topic is being discussed
over and over again at many places, so you will not have trouble finding
similar opinions. I am also “responding” to a recent discussion that I
had with [Luiz Izidoro](http://social.libreplanetbr.org/lvispy), which
is a “friend” (as he himself likes to say) of the LibrePlanet São Paulo
group.

Mike's point is simple: we, Free Software activists, are the geeks (or
nerds) at school, surrounded by the “popular guys” all over again. In
case it is not clear, the “popular guys” are the people who do not care
about the Free Software ideology; the programmers who license their
softwares using permissive licenses using the excuse of “more freedom”,
but give away their work to increase the proprietary world.

It is undeniable that the Free Software, as a technical movement, has
won. Anywhere you look, you see Free Software being developed and used.
It is important to say that by “Free Software” I mean not only copyleft
programs, but also permissive ones. However, it is also undeniable that
several proprietary programs and solutions are being developed with the
help of those permissive Free Softwares, without giving anything back to
the community, as usual.

Numbers speak for themselves, so I am posting here the example that Mike
used in his message, about [Trello](https://trello.com/), a “web-based
project management application”, according to
[Wikipedia](https://en.wikipedia.org/wiki/Trello). It is quite popular
among project managers, and I know about two or three companies that use
it, though I have never used it myself (luckily). Being web-based, it is
full of Javascript code, and I appreciated the work Mike had to
determine which pieces of Free Software Trello uses. The result is:

> jQuery, Sizzle, jQuery UI, jQuery Widget, jQuery UI Mouse, jQuery UI
> Position, jQuery UI Draggable, jQuery UI Droppable, jQuery UI
> Sortable, jQuery UI Datepicker, Hogan, Backbone, JSON2 (Crockford),
> Markdown.js, Socket.io, Underscore.js, Bootstrap, Backbone, and
> Mustache

You can see the license headers of all those projects here:

This is only on the client-side, i.e., the Javascript portion. I will
not post the link to the full Javascript code (condensed in one single
file) because I do not have permission to do so, but it should not be
hard to take a look yourself if you are curious.

On the server side, Mike came up with this list of Free Softwares being
used by Trello:

> MongoDB, Redis, Node.js, HAProxy, Express, Connect, Cluster,
> node_redis, Mongoose, node-mogodb-native, async, CofeeScript, and
> probably more

Quite a lot of Free Software, right? And Trello advertises itself as
being “free”, which might confuse the inexperient reader because they
are talking about price, not about freedom.

The lesson we learn is obvious but no less painful. He who contributes
to Free Software using permissive licenses is directly contributing to
the dissemination of proprietary software. And the corolary should be
obvious as well: you are being exploited. Another nice addition made by
Mike is a [quote by Larry
Ellison](https://en.wikiquote.org/wiki/Larry_Ellison), CEO and founder
of Oracle Corporation, about Free Software (and Open Source):

> “If an open source product gets good enough, we'll simply take it....
> So the great thing about open source is nobody owns it – a company
> like Oracle is free to take it for nothing, include it in our products
> and charge for support, and that's what we'll do. So it is not
> disruptive at all – you have to find places to add value. Once open
> source gets good enough, competing with it would be insane. ... We
> don't have to fight open source, we have to exploit open source.”

So, do you really think you have more freedom because you can choose
BSD/MIT over GPL? Do you really think you it doesn't matter what other
people do to your code, which you released as a Free Software? What are
your goal with this movement, contribute to a better Free Software
ecosystem (which will lead to a society which is more fair), or just
getting your name in the hall of (f|sh)ame?

Back to the initial point, about not being “popular” among your friends
(or be the “radical”, “extremist”, and other adjectives), I believe Mike
hit the nail when he said that, because that is exactly how I am feeling
currently, and I know other Free Softwares activists feel exactly the
same. To defend a copyleft license is to defend something that is wrong,
because, in the “popular kids' view”, copyleft is about anything but
freedom! The cool thing now is to be indifferent, or even to think that
it is nice that proprietary software can coexist with Free Software, so
let's give it a help and release everything we can under permissive
licenses. I could mention lots of very nice Free Softwares that chose to
be permissive because their maintainers thought (and still think) GPL is
evil.

I contributed and still contribute to some Free Softwares that are
permissive licensed. And despite trying to use only copyleft software,
sometimes I replace some of them by permissive ones, and do not feel
guilty about it. I do that because I believe in Free Software, and I
believe we should support it in every way we can. But doing so is also
nocive to our cause. We are supporting softwares that are contributing
to the proprietary world, even if that is not what their developers
want. We are making it very easy for people like Larry Ellison to win
and think they can exploit what other people are doing for free(dom). We
are feeding our own enemy in their mouths. And we should be very careful
about that.

This post is a request. I am asking you a favor. Please, consider
(re)licensing your project using a copyleft license. If you do value
what Free Software is about (or even what Open Source is about!), then
help spread it by **not** helping the proprietary side. I am not asking
you to join our ideological cause (or maybe I am?); feel free to stay
out of this if you want. But please, at least consider helping the Free
Software community by avoiding making your code permissive, which will
give too much power to the unethical side.

Thank you!
